ImportFamily
curl --request POST \
--url https://api.siftstack.com/api/v1/families:import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"familyYaml": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/families:import"
payload = { "familyYaml": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/families:import"
payload := strings.NewReader("{\n \"familyYaml\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"familyId": "<string>",
"family": {
"family": {
"familyId": "<string>",
"currentVersionId": "<string>",
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"familyVersion": {
"familyVersionId": "<string>",
"familyId": "<string>",
"version": 123,
"name": "<string>",
"changeMessage": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"description": "<string>",
"runQuery": "<string>",
"userNotes": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"sigmaDefaultValues": [
123
]
},
"familyRuns": [
{
"familyRunId": "<string>",
"familyVersionId": "<string>",
"runId": "<string>",
"addedDate": "2023-11-07T05:31:56Z",
"addedByUserId": "<string>",
"addedInVersionId": "<string>",
"isExclusion": true,
"rationale": "<string>"
}
],
"familyAlignments": [
{
"familyAlignmentId": "<string>",
"familyVersionId": "<string>",
"name": "<string>",
"familyAlignmentPoints": [
{
"familyAlignmentPointId": "<string>",
"familyRunId": "<string>",
"runId": "<string>",
"familyAlignmentId": "<string>",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestamp": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
],
"description": "<string>",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationName": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED",
"occurrence": "ANNOTATION_OCCURRENCE_UNSPECIFIED",
"occurrenceIndex": 123
},
"timestamp": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
],
"familyStats": [
{
"familyStat": {
"familyStatId": "<string>",
"familyVersionId": "<string>",
"name": "<string>",
"sampleRate": 123,
"defaultChannelNames": [
"<string>"
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"description": "<string>"
},
"familyStatExpressions": [
{
"familyStatExpressionId": "<string>",
"familyStatId": "<string>",
"avg": {},
"median": {},
"min": {},
"max": {},
"stdev": {},
"sum": {},
"inputCount": {},
"sigma": {}
}
],
"familyStatRanges": [
{
"familyStatRangeId": "<string>",
"familyStatId": "<string>",
"familyAlignmentId": "<string>",
"name": "<string>",
"windowStart": {
"familyAlignmentId": "<string>",
"duration": "<string>"
},
"windowEnd": {
"familyAlignmentId": "<string>",
"duration": "<string>"
}
}
],
"familyStatChannels": [
{
"familyStatChannelId": "<string>",
"familyStatId": "<string>",
"channelId": "<string>",
"alignmentPointId": "<string>"
}
]
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}FamilyService
ImportFamily
Imports a new family from YAML.
POST
/
api
/
v1
/
families:import
ImportFamily
curl --request POST \
--url https://api.siftstack.com/api/v1/families:import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"familyYaml": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/families:import"
payload = { "familyYaml": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/families:import"
payload := strings.NewReader("{\n \"familyYaml\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"familyId": "<string>",
"family": {
"family": {
"familyId": "<string>",
"currentVersionId": "<string>",
"isArchived": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"clientKey": "<string>",
"archivedDate": "2023-11-07T05:31:56Z"
},
"familyVersion": {
"familyVersionId": "<string>",
"familyId": "<string>",
"version": 123,
"name": "<string>",
"changeMessage": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"description": "<string>",
"runQuery": "<string>",
"userNotes": "<string>",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"sigmaDefaultValues": [
123
]
},
"familyRuns": [
{
"familyRunId": "<string>",
"familyVersionId": "<string>",
"runId": "<string>",
"addedDate": "2023-11-07T05:31:56Z",
"addedByUserId": "<string>",
"addedInVersionId": "<string>",
"isExclusion": true,
"rationale": "<string>"
}
],
"familyAlignments": [
{
"familyAlignmentId": "<string>",
"familyVersionId": "<string>",
"name": "<string>",
"familyAlignmentPoints": [
{
"familyAlignmentPointId": "<string>",
"familyRunId": "<string>",
"runId": "<string>",
"familyAlignmentId": "<string>",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestamp": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
],
"description": "<string>",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationName": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED",
"occurrence": "ANNOTATION_OCCURRENCE_UNSPECIFIED",
"occurrenceIndex": 123
},
"timestamp": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
],
"familyStats": [
{
"familyStat": {
"familyStatId": "<string>",
"familyVersionId": "<string>",
"name": "<string>",
"sampleRate": 123,
"defaultChannelNames": [
"<string>"
],
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"organizationId": "<string>",
"description": "<string>"
},
"familyStatExpressions": [
{
"familyStatExpressionId": "<string>",
"familyStatId": "<string>",
"avg": {},
"median": {},
"min": {},
"max": {},
"stdev": {},
"sum": {},
"inputCount": {},
"sigma": {}
}
],
"familyStatRanges": [
{
"familyStatRangeId": "<string>",
"familyStatId": "<string>",
"familyAlignmentId": "<string>",
"name": "<string>",
"windowStart": {
"familyAlignmentId": "<string>",
"duration": "<string>"
},
"windowEnd": {
"familyAlignmentId": "<string>",
"duration": "<string>"
}
}
],
"familyStatChannels": [
{
"familyStatChannelId": "<string>",
"familyStatId": "<string>",
"channelId": "<string>",
"alignmentPointId": "<string>"
}
]
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I